#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    long long x, y, z = 0;
    int brCifara = 0;
    cin >> x >> y;

    while (x > 0 && y > 0) {
        int cifra1 = x % 10;
        int cifra2 = y % 10;

        if (cifra1 > cifra2) {
            z += cifra1 * pow(10, brCifara);
        }
        else if (cifra2 > cifra1) {
            z += cifra2 * pow(10, brCifara);
        }
        else {
            z += cifra1 * pow(10, brCifara + 1) + cifra2 * pow(10, brCifara);
            brCifara++;
        }

        brCifara++;
        x = x / 10;
        y = y / 10;
    }

    if (x == 0) {
        while (y > 0) {
            int cifra2 = y % 10;
            z += cifra2 * pow(10, brCifara);
            brCifara++;
            y = y / 10;
        }
    }

    if (y == 0) {
        while (x > 0) {
            int cifra1 = x % 10;
            z += cifra1 * pow(10, brCifara);
            brCifara++;
            x = x / 10;
        }
    }

    cout << z;
    return 0;
}